Opening shapefiles in ZIP gives Invalid Datasource
2019-01-25 04:36 PM - Marijn Biekart

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.4 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 28915
Description

Hello,

In the latest version of Qgis it is no longer possible to open a zipped shapefile. | get the "(filename) is an invalid datasource" error
warning.

- The issue is not present in 3.2

- | noticed this using drag-and-drop but the Layer-Add layer-Add vector layer route does not work either
- The issue is both with zipfiles on a NAS and local C drive.

- the issue seems independent on the actual content of the shapefile

I will try this again at my home installation.

History

#1 - 2019-01-25 06:04 PM - Giovanni Manghi
- Status changed from Open to Feedback

please attach sample data.

#2 - 2019-01-25 06:34 PM - Alessandro Pasotti

Sample data doesn't matter | can reproduce it with any zip file on windows (but only through the data source manager: the browser is fine).

#3 - 2019-01-25 07:28 PM - Alessandro Pasotti

| just tried a current master build on windows and | could not reproduce, while with a master build of two weeks ago | still can, can you please try the latest

master build and check if the problem is still there?

#4 - 2019-01-25 10:44 PM - Marijn Biekart

Just tried it at home, no issues there. Probably local issue? I'll test more monday.

#5 - 2019-01-26 09:05 AM - Alessandro Pasotti
Please make sure you test the three scenarios:

1 - drag and drop into the canvas

2 - open from the QGIS browser panel

3 - open from the data source manager dialog

#6 - 2019-01-28 11:16 AM - Marijn Biekart

Tried on a clean installation, problem seems to have resolved itself. could someone close the issue for now?

#7 - 2019-01-28 11:39 AM - Giovanni Manghi

- Resolution set to invalid
- Status changed from Feedback to Closed
